IMMPResource (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.mmp.IMMPResource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.mmp
Interface IMMPResource

    public interface IMMPResource

Abstract representation of a single (set of) compiled resources.

This is used only for new-style START RESOURCE blocks.

Old style resources are specified in the MMP view's TARGETPATH, LANG, RESOURCE/SYSTEMRESOURCE lists.

Method Summary
`IMMPResource` | `copy()` Return copy of self
`EGeneratedHeaderFlags` | `getHeaderFlags()` Get the header generation flag
`java.util.List<EMMPLanguage>` | `getLanguages()` Access/modify the languages to emit (never null)
`IPath` | `getSource()` Get the project-relative RSS source file
`java.lang.String` | `getTargetFile()` Get the target filename; may be null to be automatically derived from the source name
`IPath` | `getTargetPath()` Get the EPOCROOT-relative target path
`java.lang.String` | `getUid2()` Get the UID2 value (may be null)
`java.lang.String` | `getUid3()` Get the UID3 value (may be null)
`boolean` | `isValid()` tell if entry is valid (e.g. initialized): source must be set
`void` | `setHeaderFlags(EGeneratedHeaderFlags flag)` Set the header generation flag
`void` | `setLanguages(java.util.List<EMMPLanguage> languages)` Set language list (may not be null)
`void` | `setSource(IPath path)` Set the project-relative RSS source file
`void` | `setTargetFile(java.lang.String name)` Set the target filename; may be null to automatically derive from the source path
`void` | `setTargetPath(IPath path)` Set the EPOCROOT-relative target path
`void` | `setUid2(java.lang.String uid2)` Set the UID2 value (may be null)
`void` | `setUid3(java.lang.String uid3)` Set the UID3 value (may be null)

Method Detail

### isValid

    boolean isValid()

  tell if entry is valid (e.g. initialized): source must be set

### getHeaderFlags

    EGeneratedHeaderFlags getHeaderFlags()

  Get the header generation flag

### setHeaderFlags

    void setHeaderFlags(EGeneratedHeaderFlags flag)

  Set the header generation flag

### getSource

    IPath getSource()

  Get the project-relative RSS source file

### setSource

    void setSource(IPath path)

  Set the project-relative RSS source file

### getLanguages

    java.util.List<EMMPLanguage> getLanguages()

  Access/modify the languages to emit (never null)

### setLanguages

    void setLanguages(java.util.List<EMMPLanguage> languages)

  Set language list (may not be null)

### getTargetFile

    java.lang.String getTargetFile()

  Get the target filename; may be null to be automatically derived from the source name

### setTargetFile

    void setTargetFile(java.lang.String name)

  Set the target filename; may be null to automatically derive from the source path

### getTargetPath

    IPath getTargetPath()

  Get the EPOCROOT-relative target path

### setTargetPath

    void setTargetPath(IPath path)

  Set the EPOCROOT-relative target path

### getUid2

    java.lang.String getUid2()

  Get the UID2 value (may be null)

### setUid2

    void setUid2(java.lang.String uid2)

  Set the UID2 value (may be null)

### getUid3

    java.lang.String getUid3()

  Get the UID3 value (may be null)

### setUid3

    void setUid3(java.lang.String uid3)

  Set the UID3 value (may be null)

### copy

    IMMPResource copy()

  Return copy of self

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD